using System;
using System.Collections.Generic;
using System.Text;

namespace Knoks.Core.Logic.Interfaces
{
    public interface IUidManager
    {
        string ToUid(long? value, Type type = null, string cause = null);

        long? ToValue(string uid, Type type = null, string cause = null);
        string ToIntUid(int? value, Type type = null, string cause = null);

        int? ToIntValue(string uid, Type type = null, string cause = null);
    }
}
